Loading...
Searching...
No Matches
Telescope tracking

Tools for supporting telescope tracking, with readily available position, rate of movement, and acceleration of the source's trajectory on sky. More...

## Classes

class | supernovas::EquatorialTrack
| Approximate trajectory of a source in equatorial coordinates, using a local quadratic approximation around a time instant. More...
class | supernovas::HorizontalTrack
| Approximate trajectory of a source in horizontal coordinates, using a local quadratic approximation around a time instant. More...

## Functions

EquatorialTrack | supernovas::Source::equatorial_track (const Frame &frame, const Interval &range) const
| Returns the short-term equatorial trajectory of this source on the observer's sky, which can be used for extrapolating its apparent position in the near-term to avoid the repeated full-fledged position calculation, which may be expensive.
EquatorialTrack | supernovas::Source::equatorial_track (const Frame &frame, double range_seconds=Unit::hour) const
| Returns the short-term equatorial trajectory of this source on the observer's sky, which can be used for extrapolating its apparent position in the near-term to avoid the repeated full-fledged position calculation, which may be expensive.
HorizontalTrack | supernovas::Source::horizontal_track (const Frame &frame, RefractionModel ref=NULL, const Weather &weather=Weather::standard()) const
| Returns a 1-minute horizontal trajectory of this source on the observer's sky, which can be used for extrapolating its apparent position for within a 1-minute interval to avoid the repeated full-fledged position calculation at higher rates, which may be expensive.

## Detailed Description

Tools for supporting telescope tracking, with readily available position, rate of movement, and acceleration of the source's trajectory on sky.

These parameters may be used directly for controlling telescope drive systems. Tracking parameters can be obtained for both equatorial and horizontal mounts. Apart from direct control of telescope drives, tracking information can also be used to calculate interpolated positions on sky on short timescales much faster than through full-fledged positional calculations.

## Function Documentation

## equatorial_track() [1/2]

EquatorialTrack supernovas::Source::equatorial_track | ( | const Frame & | frame,
|  | const Interval & | range ) const

Returns the short-term equatorial trajectory of this source on the observer's sky, which can be used for extrapolating its apparent position in the near-term to avoid the repeated full-fledged position calculation, which may be expensive.

The equatorial trajectory may also be used to provide telescope motor control parameters (position, tracking velocity, and acceleration) for equatorial telescope drive systems.

In case positions cannot be calculated for this source (e.g. because you do not have an ephemeris provider configured, or there is no ephemeris data available), then an undefined (invalid) trajectory will be returned instead..

Parameters

  frame | observing frame (observer location and time of observation)
  range | time range for which to fit a quadratic time evolution to the R.A., Dec, distance, and radial velocity coordinates.

Returns
  a new near-term equatorial trajectory for this source, for the observing location, around the time of observation, if possible, or else EquatorialTrack::undefined().

Since
  1.6

See also
  horizontal_track()

References equatorial_track(), and supernovas::Interval::seconds().

## equatorial_track() [2/2]

EquatorialTrack supernovas::Source::equatorial_track | ( | const Frame & | frame,
|  | double | range_seconds = Unit::hour ) const

Returns the short-term equatorial trajectory of this source on the observer's sky, which can be used for extrapolating its apparent position in the near-term to avoid the repeated full-fledged position calculation, which may be expensive.

The equatorial trajectory may also be used to provide telescope motor control parameters (position, tracking velocity, and acceleration) for equatorial telescope drive systems.

In case positions cannot be calculated for this source (e.g. because you do not have an ephemeris provider configured, or there is no ephemeris data available), then an undefined (invalid) trajectory is returned instead.

Parameters

  frame | observing frame (observer location and time of observation)
  range_seconds | [s] time range for which to fit a quadratic time evolution to the R.A., Dec, distance, and radial velocity coordinates.

Returns
  a new near-term equatorial trajectory for this source, for the observing location, around the time of observation, if possible, or else EquatorialTrack::undefined().

Since
  1.6

See also
  horizontal_track()

References supernovas::Frame::_novas_frame(), _novas_object(), supernovas::EquatorialTrack::from_novas_track(), supernovas::Validating::is_valid(), novas_equ_track(), supernovas::Frame::time(), supernovas::Equinox::tod(), and supernovas::EquatorialTrack::undefined().

Referenced by equatorial_track().

## horizontal_track()

HorizontalTrack supernovas::Source::horizontal_track | ( | const Frame & | frame,
|  | RefractionModel | ref = NULL,
|  | const Weather & | weather = Weather::standard() ) const

Returns a 1-minute horizontal trajectory of this source on the observer's sky, which can be used for extrapolating its apparent position for within a 1-minute interval to avoid the repeated full-fledged position calculation at higher rates, which may be expensive.

The horizontal trajectory may also be used to provide telescope motor control parameters (position, tracking velocity, and acceleration) for horizontal telescope drive systems.

If the observer is not located on or near Earth's surface, horizontal coordinates are not defined, and so an undefined (invalid) trajectory will be returned instead. Also, in case positions cannot be calculated for this source (e.g. because you do not have an ephemeris provider configured, or there is no ephemeris data available), then an undefined (invalid) trajectory will be returned also.

NOTES:

1. The returned horizontal track is valid for a maximum of 1-minute around the observing time of the supplied observer frame. It will provide invalid horizontal coordinates outside of the fixed interval of validity.

Parameters

  frame | observing frame (observer location and time of observation)
  ref | atmospheric refraction model to use for refraction correction.
  weather | local weather parameters for the refraction calculation.

Returns
  a new near-term horizontal trajectory for this source, valid for a 1-minute period, for the observing, location, around the time of observation, if possible, or else HorizontalTrack::undefined().

Since
  1.6

See also
  equatorial_track()

References supernovas::Frame::_novas_frame(), _novas_object(), supernovas::Temperature::celsius(), supernovas::HorizontalTrack::from_novas_track(), novas_on_surface::humidity, supernovas::Weather::humidity(), supernovas::Observer::is_geodetic(), supernovas::Validating::is_valid(), supernovas::Pressure::mbar(), supernovas::Unit::min, novas_hor_track(), novas_frame::observer, supernovas::Frame::observer(), novas_observer::on_surf, supernovas::Unit::percent, novas_on_surface::pressure, supernovas::Weather::pressure(), novas_on_surface::temperature, supernovas::Weather::temperature(), and supernovas::HorizontalTrack::undefined().